Commit dde0b09d authored by Marco d'Itri's avatar Marco d'Itri

Depend on libevent

parent 836a349c
......@@ -3,7 +3,7 @@ Section: net
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 9.20160709),
pkg-config, libbsd-dev (>= 0.6.0), libwrap0-dev
pkg-config, libbsd-dev (>= 0.6.0), libwrap0-dev, libevent-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/users/md/openbsd-inetd.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/md/openbsd-inetd.git
......
......@@ -3,8 +3,8 @@
@@ -0,0 +1,20 @@
+CFLAGS ?= -g -O2
+
+DEFS := -DLIBWRAP $(shell pkg-config --cflags libbsd-overlay)
+LIBS := -lwrap $(shell pkg-config --libs libbsd-overlay)
+DEFS := -DLIBWRAP $(shell pkg-config --cflags libbsd-overlay) $(shell pkg-config --cflags libevent)
+LIBS := -lwrap $(shell pkg-config --libs libbsd-overlay) $(shell pkg-config --libs libevent)
+
+CPPFLAGS += $(DEFS)
+
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment